require.config({
    baseUrl: '../',
    paths: {
        'text' : 'text',
        'css' : 'css',
        'domReady' : 'domReady',

        'widget-controller' : 'widget-controller',
        'template-controller' : 'template-controller',

        // add your widgets here
        'widget-date' : 'date/widget'
    }
});

require(['widget-controller', 'widget-date', 'text!date/test.json'], function (WidgetController, DateWidget, json) {
    var controller = new WidgetController();

    var birthDateWidget = new DateWidget({id : 'birth-date'});
    var deathDateWidget = new DateWidget({id : 'death-date'});
    
    controller.add(birthDateWidget).add(deathDateWidget);

    // for prod:
    //controller.commit({...}); sending ajax request

    // for test:
    var dataObj = eval ('(' + json + ')');
    controller.render(birthDateWidget, dataObj.birth).render(deathDateWidget, dataObj.death);
});